LINUX.ORG.RU

Ответ на: комментарий от Zubok

В дополнение: вытащить это файл можно, нажав Ctrl+Alt+F2, перейдя в терминал, после чего вставить флешку, примонтировать её и скопировать этот файл.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Или просто поставить pastebinit, он из консоли все закинет и ссылку выдаст :)

Zubok ★★★★★ ()
Ответ на: комментарий от Keller11e

http://paste.debian.net/1042062

http://paste.debian.net/1042063

Ну иксы пытаются что-то делать, но ругаются вот на что:

[   569.674] (EE) modeset(0): [DRI2] No driver mapping found for PCI device 0x8086 / 0x0be2
[   569.674] (EE) modeset(0): Failed to initialize the DRI2 extension.

У тебя Intel GMA500. Что обновлялось до этого? Я бы попробовал откатить ядро назад на 4.17. Вчера [1] в buster прилетело 4.18 — вот ты его и обновил. И лог иксов пишет, что у тебя 4.18.

[1] https://tracker.debian.org/pkg/linux-latest

Zubok ★★★★★ ()
Последнее исправление: Zubok (всего исправлений: 2)
Ответ на: комментарий от Keller11e

Старое ядро должно остаться у тебя в системе, если ты его сам не вычистил. Через GRUB или LILO в него загузить, если там есть пункт со старым ядром.

Zubok ★★★★★ ()
Ответ на: комментарий от Keller11e

Нет, последнее было 4.17. Если ты обновлялся из buster, то перед 4.18 оно было. 4.16 было заменено на 4.17 24 августа. Ты обновлял всю систему после 24 августа, но до вчерашнего дня? Если работало, то там было 4.17. Если ты очень редко обновляешься и в последний раз обновлял систему до 24 августа, то могло быть и 4.16.

Ты можешь поставить столько ядер, сколько нужно. Ставь и 4.16, и 4.17. Взять нужно на snapshot.debian.org

1. Вот 4.17 последнее (архитектура 686-pae): https://snapshot.debian.org/archive/debian/20180818T210445Z/pool/main/l/linux...

2. Вот 4.16 последнее (архитектура 686-pae): https://snapshot.debian.org/archive/debian/20180622T211149Z/pool/main/l/linux...

Если какое-то сработает, то еще потом linux-headers лучше скачать для него. Установить можно через apt или dpkg -i <packeg.deb>.

Zubok ★★★★★ ()
Последнее исправление: Zubok (всего исправлений: 5)
Ответ на: комментарий от Keller11e

Старые ядра обычно сами не удаляются, поэтому в GRUB просто переходишь в подменю загрузки Debian и выбираешь работающее у тебя ядро.

Quasar ★★★★★ ()
Ответ на: комментарий от Keller11e

При этом реагирует кнопка выключения - запускается процесс в нормальном режиме.

В смысле — нетбук выключается?

anymouze ★★ ()
Ответ на: комментарий от anymouze

Всмысле не переключается на консоль совсем, просто черный экран. Как понял - иксы пытаются запуститься, падают, перезапускаются. Кидает на первую консоль при перезапуске. Эх, нетбук - такой нетбук..

Keller11e ()
Ответ на: комментарий от Zubok

Верно - редко обновлял систему. Ещё и почистил тогда без проверки.. Буду пробовать ставить 4.16 ядро.

Keller11e ()
Ответ на: комментарий от Zubok

Я бы попробовал откатить ядро назад на 4.17

modeset(0): [DRI2] No driver mapping found for PCI device 0x8086 / 0x0be2

Ядро не причём.


Seems like since 1.20, xorg changed behavieur to enable Glamor on any «„Intel“» GPU, even if their are not using intel driver. And since GMA500 doesn't support DRI2, it crashes.
As a workaround, you can manually disable glamor with the xorg config option:
Option «AccelMethod» «none»


https://bugs.freedesktop.org/show_bug.cgi?id=106796

redgremlin ★★★★★ ()
Ответ на: комментарий от redgremlin

М-м-м, похоже, да. Это, конечно, более похоже на причину.

Keller11e, сделай так тогда. Пока ядро не трогай, а впиши в /etc/X11/xorg.conf (если его нет, то создай) строчки:

Section "Device"
        Identifier      "GMA500"
        Driver          "modesetting"
        Option          "AccelMethod"          "none"
EndSection
Zubok ★★★★★ ()
Последнее исправление: Zubok (всего исправлений: 1)
Ответ на: комментарий от Keller11e

черный экран, периодически появляется курсор на секунду

lightdm не обновлялся? Несколько лет назад наблюдал там такое поведение при повторной авторизации. Помогало только «прибить» light-locker. Потом вроде исправили...

иксы пытаются запуститься, падают, перезапускаются. Кидает на первую консоль при перезапуске

А точно падают? В папке юзера есть файлы .xsession-errors .xsession-errors.old? В них должны быть сообщения об ошибках. .xsession-errors.old «создаётся» при рестарте X-в.

anymouze ★★ ()

Решение

Действия:
1) Заменил по умолчанию lightdm за lxdm #графики не запустились
2) Сгенерировал xorg.conf # xorg -configure
Скопировал и сделал так #графики запустились

Итог: Работает
Ядро 4.18.0-1-686-pae

Спасибо Zubok, anymouze и другие ;-)

Keller11e ()
Ответ на: комментарий от Keller11e

4.16 это особое ядро если ты про 4.4.0-116 оно даже без фирмваре работает , фримваре лишь для блютуча надо , а фримевари весит 300 мегабайт и возможно это зонт раз такой вес

anonymous ()
Ответ на: комментарий от Zubok

Zubok Опытным путем выяснил - строку Driver можно опустить (без неё завелась и с ней работает).
Всё перестало работать с обновления 4.16.0-1 -> 4.16.0-2 - тогда обновил всё (и lightdm) и без проверки удалил 4.16.0-1.

anymouze Да, иксы падали. Файлы есть. Ничего сильно интересного в них нет, кроме отправки на другой лог ~/.cache/lxsession/LXDE/run.log
Там есть крит.ошибки

И, если есть ошибка в xorg.conf, то на мгновение появлялась консоль с предложение войти в систему (и удавалось переключиться на вторую консоль), но потом кидало на первую с чёрным экраном. И так по кругу.

Keller11e ()
Ответ на: комментарий от Keller11e

Скопировал и сделал так #графики запустились

Значит, все перестало работать не от обновления ядра, а от обновления иксов 1.19 -> 1.20.

Zubok ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.